# $Revision: 1.29 $, $Date: 2006/11/05 11:03:49 $
Summary:	Libhnj Library
Summary(pl):	Biblioteka Libhnj
Name:		libhnj
Version:	0.1.1
Release:	8
License:	MPL/LGPL
Group:		Libraries
# formerly ftp://ftp.gnome.org/pub/GNOME/stable/sources/libhnj/
Source0:	http://hkn.eecs.berkeley.edu/~dyoo/pyHnj/%{name}-%{version}.tar.gz
# Source0-md5:	29f5571af559690e916b1c7b1aa6aa1f
Patch0:		%{name}-const-error.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libhnj is a library for high quality hyphenation and justification.

%description -l pl
Libhnj jest bibliotek wysokiej jakoci przenoszenia wyrazw i
justowania.

%package devel
Summary:	Header files etc to develop libhnj applications
Summary(pl):	Pliki nagwkowe i inne dla libhnj
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files etc you can use to develop libhnj applications.

%description devel -l pl
Pakiet ten zawiera pliki nagwkowe i inne dla libhnj niezbdne przy
tworzeniu aplikacji opartych o t bibliotek.

%package static
Summary:	Static libhnj libraries
Summary(pl):	Biblioteka statyczna libhnj
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libhnj libraries.

%description static -l pl
Biblioteka statyczna libhnj.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README*
%attr(755,root,root) %{_bindir}/libhnj-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/libhnj
%{_aclocaldir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libhnj.spec,v $
Revision 1.29  2006/11/05 11:03:49  glen
- rel 8

Revision 1.28  2006/11/05 01:51:12  qboosh
- strict internal deps, pl fix

Revision 1.27  2006/10/24 23:44:45  glen
- update auto* so that libtool can work with CC with spaces

Revision 1.26  2004/08/28 07:58:22  zboczuch
- const-error patch - now it builds
- release 7

Revision 1.25  2004/08/28 07:50:32  zboczuch
- pl fix

Revision 1.24  2003/11/11 02:31:01  qboosh
- BR: automake (only for _aclocaldir macro expansion)

Revision 1.23  2003/09/09 10:24:21  ankry
- spaces -> tab

Revision 1.22  2003/05/28 12:59:30  malekith
- massive attack: source-md5

Revision 1.21  2003/05/25 05:49:54  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.20  2003/01/15 13:35:06  qboosh
- working Source0 URL

Revision 1.19  2002/11/25 14:16:54  ankry
- massive attack: no need for 755 for *.la

Revision 1.18  2002/08/18 15:04:00  kloczek
- remeove gzippng %doc from %install.

Revision 1.17  2002/08/18 13:35:22  blues
- release 6 - license fix, new doc

Revision 1.16  2002/05/21 23:13:48  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.15  2002/02/23 03:26:02  kloczek
- adapterized.

Revision 1.14  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/01/18 02:13:40  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/10/01 08:13:13  qboosh
- adapterized, BuildRequires: autoconf

Revision 1.11  2001/09/29 00:23:18  blues
- release 4
- ac2.5 ready

Revision 1.10  2000/11/03 06:21:53  kloczek
- back to /usr prefix,
- more uses %{_aclocaldir} macro.

Revision 1.9  2000/11/03 05:27:33  kloczek
- release 3: use new rpm automation.

Revision 1.8  2000/06/09 07:54:43  kloczek
- more %{__make} macros.

Revision 1.7  2000/06/09 07:23:24  kloczek
- added using %{__make} macro.

Revision 1.6  2000/06/07 03:01:13  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:14:52  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:40  baggins
- translated kloczkish into english

Revision 1.3  1999/12/07 10:33:11  kloczek
- updated Source url (base now is ftp://ftp.gnome.org/pub/GNOME/sources/).

Revision 1.2  1999/09/20 22:20:05  kloczek
- removed SONAME symlinks.

Revision 1.1  1999/09/19 23:04:25  pius
- initial rpm release
